pyparser - common vulnerability and exploits.

pyparser – common vulnerability and exploits.

PyParser is a vulnerability parser that looks for CVE’s from different sources. It employs the Shodan API, has the ability to retrieve and process data from CVE Mitre and comes with fucntionality to install and use Offensive Security’s ExploitDB Searchsploit utility.

Dependencies:
+ Python 2.7.x
+ shodan, pycurl and blessings python module.

PyParser

Note:
Select a number to select a data source to use when searching for a particular vulnerability. The ‘logging’ option will save results of your search queries in the current working directory as an application log from PyParser.

Usage:

Source: https://github.com/NullArray